Subject: Re: [PATCH v2 3/3] docs: update when `git bisect visualize` uses `gitk`

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Aug 2023 09:45:52 -0700

Matthias Aßhauer <[email-masked]> writes:

> On Fri, 4 Aug 2023, Eric Sunshine wrote:
>
>> On Fri, Aug 4, 2023 at 1:22 AM Matthias Aßhauer via GitGitGadget
>> <[email-masked]> wrote:
>>> This check has involved more environment variables than just `DISPLAY` since
>>> 508e84a790 (bisect view: check for MinGW32 and MacOSX in addition to X11,
>>> 2008-02-14), so let's update the documentation accordingly.
>>>
>>> Signed-off-by: Matthias Aßhauer <[email-masked]>
>>> ---
>>> diff --git a/Documentation/git-bisect.txt b/Documentation/git-bisect.txt
>>> @@ -204,9 +204,14 @@ as an alternative to `visualize`):
>>> -If the `DISPLAY` environment variable is not set, 'git log' is used
>>> -instead.  You can also give command-line options such as `-p` and
>>> -`--stat`.
>>> +Git detects a graphical environment through various environment variables:
>>> +`DISPLAY`, which is set in X Window System environments on Unix systems.
>>> +`SESSIONNAME`, which is set under Cygwin in interactive desktop sessions.
>>> +`MSYSTEM`, which is set under Msys2 and Git for Windows.
>>> +`SECURITYSESSIONID`, which is set on macOS in interactive desktop sessions.
>>
>> Micronit: SECURITYSESSIONID is not universal on macOS[1]; some people
>> report its presence in iTerm2 and HyperTerm, and perhaps even Apple's
>> own Terminal (although it's not defined for me in Terminal on High
>> Sierra). Perhaps just say "may be set on macOS".
>
> I've just checked in Terminal on Ventura and it isn't set for me either.
> I'll reword it.

I'll locally tweak "which may be set on macOS" for now.  It should
be good enough for the upcoming release, right?